org.wildfly.swarm.config.elytron

## Class RegexValidatingPrincipalTransformer<T extends RegexValidatingPrincipalTransformer<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.RegexValidatingPrincipalTransformer<T>

-     public class RegexValidatingPrincipalTransformer<T extends RegexValidatingPrincipalTransformer<T>>
      extends Object

  A regular expression based principal transformer which uses the regular expression to validate the name.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegexValidatingPrincipalTransformer(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `Boolean` | `match()` If set to true, the name must match the given pattern to make validation successful.
    `T` | `match(Boolean value)` If set to true, the name must match the given pattern to make validation successful.
    `String` | `pattern()` The regular expression to use for the principal transformer.
    `T` | `pattern(String value)` The regular expression to use for the principal transformer.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegexValidatingPrincipalTransformer

          public RegexValidatingPrincipalTransformer(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### match

          public Boolean match()

      If set to true, the name must match the given pattern to make validation successful. If set to false, the name must not match the given pattern to make validation successful.

    - #### match

          public T match(Boolean value)

      If set to true, the name must match the given pattern to make validation successful. If set to false, the name must not match the given pattern to make validation successful.

    - #### pattern

          public String pattern()

      The regular expression to use for the principal transformer.

    - #### pattern

          public T pattern(String value)

      The regular expression to use for the principal transformer.

Copyright © 2017 JBoss by Red Hat. All rights reserved.